> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailofly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Suppression

> Add an email address to your organization suppression list.

Manually block an email address to protect your deliverability and sender reputation.

### Body Parameters

<ParamField body="email" type="string" required>
  The recipient email address to suppress.
</ParamField>

<ParamField body="reason" type="string" default="manual">
  Suppression reason: `manual`, `bounce`, `complaint`, or `unsubscribe`.
</ParamField>

### Response

<ResponseField name="data" type="object">
  <ResponseField name="id" type="string">Suppression ID.</ResponseField>
  <ResponseField name="email" type="string">Suppressed email.</ResponseField>
  <ResponseField name="reason" type="string">Reason.</ResponseField>
  <ResponseField name="created_at" type="string">Timestamp.</ResponseField>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.mailofly.com/api/v1/suppressions \
    -H "Authorization: Bearer mf_live_your_api_key" \
    -H "Content-Type: application/json" \
    -d '{
      "email": "baduser@example.com",
      "reason": "complaint"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 Created theme={null}
  {
    "data": {
      "id": "sup_123",
      "email": "baduser@example.com",
      "reason": "complaint",
      "created_at": "2026-09-11T14:00:00Z"
    }
  }
  ```
</ResponseExample>


## Related topics

- [Add Batch Suppressions](/api/suppressions/add-batch-suppressions.md)
- [Email Suppressions](/sending/email-suppressions.md)
- [Managing the Suppression List](/guides/deliverability/managing-the-suppression-list.md)
- [Email addresses for testing](/guides/testing/email-addresses-for-testing.md)
- [Remove Suppression](/api/suppressions/remove-suppression.md)
